# DXGfxLib.Impostor Class Reference

This isn't really a nice impostor. I should add alpha testing for this class to become really of interest. This is yet to be done. More...

Inherits DXGfxLib::Batch, and DXGfxLib::Batch.

Collaboration diagram for DXGfxLib.Impostor:

[legend]

List of all members.

## Public Member Functions
void | Attach (Material material, Texture texture)
| Will build a 8 faces impostor from a material and a texture.
void | Attach (FrameworkMesh fMesh)
| Using the previous method, this will build a 8 faces impostor from a FrameworkMesh, this method uses a render to texture to perform that.
void | Attach (Material material, Texture texture)
| Will build a 8 faces impostor from a material and a texture.
void | Attach (FrameworkMesh fMesh)
| Using the previous method, this will build a 8 faces impostor from a FrameworkMesh, this method uses a render to texture to perform that.

## Detailed Description

This isn't really a nice impostor. I should add alpha testing for this class to become really of interest. This is yet to be done.

Definition at line 31 of file Impostor.cs.

## Member Function Documentation

void DXGfxLib.Impostor.Attach | ( | FrameworkMesh | fMesh | ) |

Using the previous method, this will build a 8 faces impostor from a FrameworkMesh, this method uses a render to texture to perform that.

Parameters:

  | fMesh |

Definition at line 127 of file Impostor.cs.

Here is the call graph for this function:

void DXGfxLib.Impostor.Attach | ( | Material | material,
|  | Texture | texture |
| ) |  |  |

Will build a 8 faces impostor from a material and a texture.

Parameters:

  | material |
  | texture |

Definition at line 40 of file Impostor.cs.

Here is the call graph for this function:

void DXGfxLib.Impostor.Attach | ( | FrameworkMesh | fMesh | ) |

Using the previous method, this will build a 8 faces impostor from a FrameworkMesh, this method uses a render to texture to perform that.

Parameters:

  | fMesh |

Definition at line 127 of file Impostor.cs.

Here is the call graph for this function:

void DXGfxLib.Impostor.Attach | ( | Material | material,
|  | Texture | texture |
| ) |  |  |

Will build a 8 faces impostor from a material and a texture.

Parameters:

  | material |
  | texture |

Definition at line 40 of file Impostor.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Impostor.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Impostor.cs